Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.connectionmanager.callback
Class GetCurrentConnectionInfo

    java.lang.Object
      org.teleal.cling.controlpoint.ActionCallback
          org.teleal.cling.support.connectionmanager.callback.GetCurrentConnectionInfo

All Implemented Interfaces:
  Runnable

    public abstract class GetCurrentConnectionInfo

extends org.teleal.cling.controlpoint.ActionCallback

Author:
  Alessio Gaeta, Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.controlpoint.ActionCallback
`org.teleal.cling.controlpoint.ActionCallback.Default`

Field Summary

Fields inherited from class org.teleal.cling.controlpoint.ActionCallback
`actionInvocation, controlPoint`

Constructor Summary
`protected` | `GetCurrentConnectionInfo(org.teleal.cling.model.meta.Service service, org.teleal.cling.controlpoint.ControlPoint controlPoint, int connectionID)`
`` | `GetCurrentConnectionInfo(org.teleal.cling.model.meta.Service service, int connectionID)`

Method Summary
`abstract void` | `received(org.teleal.cling.model.action.ActionInvocation invocation, ConnectionInfo connectionInfo)`
`void` | `success(org.teleal.cling.model.action.ActionInvocation invocation)`

Methods inherited from class org.teleal.cling.controlpoint.ActionCallback
`createDefaultFailureMessage, failure, failure, getActionInvocation, getControlPoint, run, setControlPoint, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetCurrentConnectionInfo

    public GetCurrentConnectionInfo(org.teleal.cling.model.meta.Service service,
                                    int connectionID)

### GetCurrentConnectionInfo

    protected GetCurrentConnectionInfo(org.teleal.cling.model.meta.Service service,
                                       org.teleal.cling.controlpoint.ControlPoint controlPoint,
                                       int connectionID)

Method Detail

### success

    public void success(org.teleal.cling.model.action.ActionInvocation invocation)

  Specified by:
    `success` in class `org.teleal.cling.controlpoint.ActionCallback`

### received

    public abstract void received(org.teleal.cling.model.action.ActionInvocation invocation,
                                  ConnectionInfo connectionInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.